Loading...
Searching...
No Matches
pcl::cuda::DisparityBoundSmoothing Struct Reference

`#include </build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/io/include/pcl/cuda/io/kinect_smoothing.h>`

## Public Member Functions

| DisparityBoundSmoothing (int width, int height, int window_size, float focal_length, float baseline, float disparity_threshold, float *data, float *raw_data)
__host__ __device__ float | disparity2depth (float disparity)
__host__ __device__ float | depth2disparity (float depth)
__host__ __device__ float | clampToDisparityBounds (float avg_depth, float depth)
__host__ __device__ float | operator() (int idx)

## Public Attributes

int | width_
int | height_
int | window_size_
float | focal_length_
float | baseline_
float | disparity_threshold_
float * | data_
float * | raw_data_

## Detailed Description

Definition at line 49 of file kinect_smoothing.h.

## Constructor & Destructor Documentation

## DisparityBoundSmoothing()

pcl::cuda::DisparityBoundSmoothing::DisparityBoundSmoothing | ( | int | width,
|  | int | height,
|  | int | window_size,
|  | float | focal_length,
|  | float | baseline,
|  | float | disparity_threshold,
|  | float * | data,
|  | float * | raw_data
| ) |  |

inline

Definition at line 51 of file kinect_smoothing.h.

## Member Function Documentation

## clampToDisparityBounds()

__host__ __device__ float pcl::cuda::DisparityBoundSmoothing::clampToDisparityBounds | ( | float | avg_depth,
|  | float | depth
| ) |  |

inline

Definition at line 81 of file kinect_smoothing.h.

References depth2disparity(), disparity2depth(), and disparity_threshold_.

Referenced by operator()().

## depth2disparity()

__host__ __device__ float pcl::cuda::DisparityBoundSmoothing::depth2disparity | ( | float | depth | ) |

inline

Definition at line 74 of file kinect_smoothing.h.

References baseline_, and focal_length_.

Referenced by clampToDisparityBounds().

## disparity2depth()

__host__ __device__ float pcl::cuda::DisparityBoundSmoothing::disparity2depth | ( | float | disparity | ) |

inline

Definition at line 67 of file kinect_smoothing.h.

References baseline_, and focal_length_.

Referenced by clampToDisparityBounds().

## operator()()

__host__ __device__ float pcl::cuda::DisparityBoundSmoothing::operator() | ( | int | idx | ) |

inline

Definition at line 98 of file kinect_smoothing.h.

References clampToDisparityBounds(), data_, height_, raw_data_, width_, and window_size_.

## Member Data Documentation

## baseline_

float pcl::cuda::DisparityBoundSmoothing::baseline_

Definition at line 60 of file kinect_smoothing.h.

Referenced by depth2disparity(), and disparity2depth().

## data_

float* pcl::cuda::DisparityBoundSmoothing::data_

Definition at line 62 of file kinect_smoothing.h.

Referenced by operator()().

## disparity_threshold_

float pcl::cuda::DisparityBoundSmoothing::disparity_threshold_

Definition at line 61 of file kinect_smoothing.h.

Referenced by clampToDisparityBounds().

## focal_length_

float pcl::cuda::DisparityBoundSmoothing::focal_length_

Definition at line 59 of file kinect_smoothing.h.

Referenced by depth2disparity(), and disparity2depth().

## height_

int pcl::cuda::DisparityBoundSmoothing::height_

Definition at line 57 of file kinect_smoothing.h.

Referenced by operator()().

## raw_data_

float* pcl::cuda::DisparityBoundSmoothing::raw_data_

Definition at line 63 of file kinect_smoothing.h.

Referenced by operator()().

## width_

int pcl::cuda::DisparityBoundSmoothing::width_

Definition at line 57 of file kinect_smoothing.h.

Referenced by operator()().

## window_size_

int pcl::cuda::DisparityBoundSmoothing::window_size_

Definition at line 58 of file kinect_smoothing.h.

Referenced by operator()().

The documentation for this struct was generated from the following file:

- /build/pcl-oe1NcQ/pcl-1.14.0+dfsg/cuda/io/include/pcl/cuda/io/kinect_smoothing.h